|
|||||||||
| Home >> All >> org >> [ hibernate overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
org.hibernate
Class Hibernate

java.lang.Objectorg.hibernate.Hibernate
- public final class Hibernate
- extends java.lang.Object
- Provides access to the full range of Hibernate built-in types. Type instances may be used to bind values to query parameters.
- A factory for new Blobs and Clobs.
- Defines static methods for manipulation of proxies.
| Constructor Summary | |
private |
Hibernate()
Cannot be instantiated. |
| Method Summary | |
static org.hibernate.type.Type |
any(org.hibernate.type.Type metaType,
org.hibernate.type.Type identifierType)
A Hibernate any type. |
static void |
close(java.util.Iterator iterator)
Close an Iterator created by iterate() immediately, instead of waiting until the session is closed or disconnected. |
static java.sql.Blob |
createBlob(byte[] bytes)
Create a new Blob. |
static java.sql.Blob |
createBlob(java.io.InputStream stream)
Create a new Blob. |
static java.sql.Blob |
createBlob(java.io.InputStream stream,
int length)
Create a new Blob. |
static java.sql.Clob |
createClob(java.io.Reader reader,
int length)
Create a new Clob. |
static java.sql.Clob |
createClob(java.lang.String string)
Create a new Clob. |
static org.hibernate.type.Type |
custom(java.lang.Class userTypeClass)
A Hibernate custom type. |
static org.hibernate.type.Type |
custom(java.lang.Class userTypeClass,
java.util.Properties parameters)
A Hibernate parameterizable custom type. |
static org.hibernate.type.Type |
custom(java.lang.Class userTypeClass,
java.lang.String[] parameterNames,
java.lang.String[] parameterValues)
A Hibernate parameterizable custom type. |
static org.hibernate.type.Type |
entity(java.lang.Class persistentClass)
A Hibernate persistent object (entity) type. |
static org.hibernate.type.Type |
entity(java.lang.String entityName)
A Hibernate persistent object (entity) type. |
static java.lang.Class |
getClass(java.lang.Object proxy)
Get the true, underlying class of a proxied persistent class. |
static void |
initialize(java.lang.Object proxy)
Force initialization of a proxy or persistent collection. |
static boolean |
isInitialized(java.lang.Object proxy)
Check if the proxy or persistent collection is initialized. |
static boolean |
isPropertyInitialized(java.lang.Object proxy,
java.lang.String propertyName)
Check if the property is initialized. |
static org.hibernate.type.Type |
serializable(java.lang.Class serializableClass)
A Hibernate serializable type. |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
LONG
public static final org.hibernate.type.NullableType LONG
- Hibernate long type.
SHORT
public static final org.hibernate.type.NullableType SHORT
- Hibernate short type.
INTEGER
public static final org.hibernate.type.NullableType INTEGER
- Hibernate integer type.
BYTE
public static final org.hibernate.type.NullableType BYTE
- Hibernate byte type.
FLOAT
public static final org.hibernate.type.NullableType FLOAT
- Hibernate float type.
DOUBLE
public static final org.hibernate.type.NullableType DOUBLE
- Hibernate double type.
CHARACTER
public static final org.hibernate.type.NullableType CHARACTER
- Hibernate character type.
STRING
public static final org.hibernate.type.NullableType STRING
- Hibernate string type.
TIME
public static final org.hibernate.type.NullableType TIME
- Hibernate time type.
DATE
public static final org.hibernate.type.NullableType DATE
- Hibernate date type.
TIMESTAMP
public static final org.hibernate.type.NullableType TIMESTAMP
- Hibernate timestamp type.
BOOLEAN
public static final org.hibernate.type.NullableType BOOLEAN
- Hibernate boolean type.
TRUE_FALSE
public static final org.hibernate.type.NullableType TRUE_FALSE
- Hibernate true_false type.
YES_NO
public static final org.hibernate.type.NullableType YES_NO
- Hibernate yes_no type.
BIG_DECIMAL
public static final org.hibernate.type.NullableType BIG_DECIMAL
- Hibernate big_decimal type.
BIG_INTEGER
public static final org.hibernate.type.NullableType BIG_INTEGER
- Hibernate big_integer type.
BINARY
public static final org.hibernate.type.NullableType BINARY
- Hibernate binary type.
TEXT
public static final org.hibernate.type.NullableType TEXT
- Hibernate text type.
BLOB
public static final org.hibernate.type.Type BLOB
- Hibernate blob type.
CLOB
public static final org.hibernate.type.Type CLOB
- Hibernate clob type.
CALENDAR
public static final org.hibernate.type.NullableType CALENDAR
- Hibernate calendar type.
CALENDAR_DATE
public static final org.hibernate.type.NullableType CALENDAR_DATE
- Hibernate calendar_date type.
LOCALE
public static final org.hibernate.type.NullableType LOCALE
- Hibernate locale type.
CURRENCY
public static final org.hibernate.type.NullableType CURRENCY
- Hibernate currency type.
TIMEZONE
public static final org.hibernate.type.NullableType TIMEZONE
- Hibernate timezone type.
CLASS
public static final org.hibernate.type.NullableType CLASS
- Hibernate class type.
SERIALIZABLE
public static final org.hibernate.type.NullableType SERIALIZABLE
- Hibernate serializable type.
OBJECT
public static final org.hibernate.type.Type OBJECT
- Hibernate object type.
| Constructor Detail |
Hibernate
private Hibernate()
- Cannot be instantiated.
| Method Detail |
serializable
public static org.hibernate.type.Type serializable(java.lang.Class serializableClass)
- A Hibernate serializable type.
any
public static org.hibernate.type.Type any(org.hibernate.type.Type metaType, org.hibernate.type.Type identifierType)
- A Hibernate any type.
entity
public static org.hibernate.type.Type entity(java.lang.Class persistentClass)
- A Hibernate persistent object (entity) type.
entity
public static org.hibernate.type.Type entity(java.lang.String entityName)
- A Hibernate persistent object (entity) type.
custom
public static org.hibernate.type.Type custom(java.lang.Class userTypeClass) throws HibernateException
- A Hibernate custom type.
custom
public static org.hibernate.type.Type custom(java.lang.Class userTypeClass, java.lang.String[] parameterNames, java.lang.String[] parameterValues) throws HibernateException
- A Hibernate parameterizable custom type.
custom
public static org.hibernate.type.Type custom(java.lang.Class userTypeClass, java.util.Properties parameters) throws HibernateException
- A Hibernate parameterizable custom type.
initialize
public static void initialize(java.lang.Object proxy) throws HibernateException
- Force initialization of a proxy or persistent collection.
Note: This only ensures intialization of a proxy object or collection;
it is not guaranteed that the elements INSIDE the collection will be initialized/materialized.
isInitialized
public static boolean isInitialized(java.lang.Object proxy)
- Check if the proxy or persistent collection is initialized.
getClass
public static java.lang.Class getClass(java.lang.Object proxy)
- Get the true, underlying class of a proxied persistent class. This operation
will initialize a proxy by side-effect.
createBlob
public static java.sql.Blob createBlob(byte[] bytes)
- Create a new Blob. The returned object will be initially immutable.
createBlob
public static java.sql.Blob createBlob(java.io.InputStream stream, int length)
- Create a new Blob. The returned object will be initially immutable.
createBlob
public static java.sql.Blob createBlob(java.io.InputStream stream) throws java.io.IOException
- Create a new Blob. The returned object will be initially immutable.
createClob
public static java.sql.Clob createClob(java.lang.String string)
- Create a new Clob. The returned object will be initially immutable.
createClob
public static java.sql.Clob createClob(java.io.Reader reader, int length)
- Create a new Clob. The returned object will be initially immutable.
close
public static void close(java.util.Iterator iterator) throws HibernateException
- Close an Iterator created by iterate() immediately,
instead of waiting until the session is closed or disconnected.
isPropertyInitialized
public static boolean isPropertyInitialized(java.lang.Object proxy, java.lang.String propertyName)
- Check if the property is initialized. If the named property does not exist
or is not persistent, this method always returns true.
|
|||||||||
| Home >> All >> org >> [ hibernate overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC
org.hibernate.Hibernate